Bug 205730 - Internal compiler error in c_expand_expr, at c-common.c:3830
Internal compiler error in c_expand_expr, at c-common.c:3830
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: gcc (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-08 05:11 EDT by Timophey Kushnir
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 14:41:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Code that produce internal error (1.75 KB, text/x-c++)
2006-09-08 05:13 EDT, Timophey Kushnir
no flags Details
Somewhat simplified source file that produces the same internal error (312 bytes, text/x-c++)
2006-09-08 16:34 EDT, Timophey Kushnir
no flags Details
Very similar code that produce another internal error (262 bytes, text/x-c++)
2006-09-08 16:37 EDT, Timophey Kushnir
no flags Details
fixes ICE in find_function_data, at function.c:333 (4.56 KB, patch)
2006-09-11 03:02 EDT, Timophey Kushnir
no flags Details | Diff
fixes ICE in c_expand_expr, at c-common.c:3830 (1.92 KB, patch)
2006-09-11 03:06 EDT, Timophey Kushnir
no flags Details | Diff
Combined patch that fixes the bugs (11.88 KB, patch)
2006-10-31 02:22 EST, Alexandre Oliva
no flags Details | Diff

  None (edit)
Description Timophey Kushnir 2006-09-08 05:11:59 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.6) Gecko/20060728 Firefox/1.5.0.6

Description of problem:
When compiling specific C++ program that uses templates in class definitions the compiler produce an internal error.

Version-Release number of selected component (if applicable):
gcc-3.2.3-56

How reproducible:
Always


Steps to Reproduce:
1.Compile the enclosed code
2.
3.

Actual Results:
The enclosed code does not compile, but generates an internal error from the compiler.

Expected Results:


Additional info:
The code compiles well on RedHat Enterprise Linux 4 (Update 4) with gcc-3.4.6-3
Comment 1 Timophey Kushnir 2006-09-08 05:13:29 EDT
Created attachment 135832 [details]
Code that produce internal error
Comment 2 Timophey Kushnir 2006-09-08 16:34:20 EDT
Created attachment 135877 [details]
Somewhat simplified source file that produces the same internal error
Comment 3 Timophey Kushnir 2006-09-08 16:37:41 EDT
Created attachment 135878 [details]
Very similar code that produce another internal error

The attached code produces this error message:
$ g++ -c test1.cpp
test1.cpp: In function `void __static_initialization_and_destruction_0(int,
   int)':
test1.cpp:24: Internal compiler error in find_function_data, at function.c:333
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
Preprocessed source stored into /tmp/cck1Nk3p.out file, please attach this to
your bugreport.
Comment 4 Timophey Kushnir 2006-09-11 03:02:33 EDT
Created attachment 135970 [details]
fixes ICE in find_function_data, at function.c:333
Comment 5 Timophey Kushnir 2006-09-11 03:06:58 EDT
Created attachment 135971 [details]
fixes ICE in c_expand_expr, at c-common.c:3830
Comment 6 Alexandre Oliva 2006-10-27 03:19:26 EDT
Comment #4 appears to be the patch for PR 8564, whereas comment #5 is the patch
for PR 8511.  Patches for PR 10158 and PR 10956 fix regressions introduced with
the patch for PR 8511, so it would probably be wise to bring in their
combination.  Jakub, want me to put together a single combined patch?
Comment 7 Alexandre Oliva 2006-10-31 02:22:02 EST
Created attachment 139816 [details]
Combined patch that fixes the bugs
Comment 8 RHEL Product and Program Management 2007-10-19 14:41:21 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.